简体中文 | [English](./README.md)
# hpm-cli

> HarmonyOS 包管理器命令行工具


## 如何安装?

全局安装，可在系统任何地方访问。hpm-cli仅支持nodejs12.x及以上版本
```sh
npm install -g @ohos/hpm-cli
```

## 如何使用?

显示所有命令，执行：
```sh
hpm help
```

## 如何更新版本?

```sh
npm update -g @ohos/hpm-cli
```
## 如何卸载?

```sh
npm rm -g @ohos/hpm-cli
```
## 如何更改配置?
配置文件存放在~/.hpm/hpmrc, 显示默认配置，执行:
```sh
hpm config
```
设置配置，执行:
```sh
hpm config set key value
```
配置文件的内容如下所示:
```properties
registry = https://hpm.harmonyos.com

### 登录设置
# loginUser = invitation_code

#### 路径设置
# shellPath = C:\WINDOWS\System32\cmd.exe
# globalRepo = C:\Users\username\.hpm\global

#### 网络设置
# no_proxy = *.server.com
# http_proxy = http://user:pwd@proxy_server:port
# https_proxy = http://user:pwd@proxy_server:port
# strictSsl = true
```