"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DEFAULT_INFO_LOG_DIR = exports.DEFAULT_DEBUG_LOG_DIR = exports.DEFAULT_GLOBAL_DIR = exports.DEFAULT_CONFIG_FILE = exports.DEFAULT_CONFIG_DIR = exports.NOTICE_NAME = exports.DEPS_HTML = exports.DEPS_DATA_JS = exports.DEPS_VISUAL = exports.DEP_BUNDLE_BASE = exports.DEP_OHOS_BUNDLES = exports.BINARY_DEP_ENV = exports.DEP_FOLDER_NAME = void 0;

var _path = _interopRequireDefault(require("path"));

var _os = _interopRequireDefault(require("os"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var DEP_FOLDER_NAME = 'ohos_bundles';
exports.DEP_FOLDER_NAME = DEP_FOLDER_NAME;
var BINARY_DEP_ENV = "HPM_SRC_DEPS_DIRS";
exports.BINARY_DEP_ENV = BINARY_DEP_ENV;
var DEP_OHOS_BUNDLES = "DEP_OHOS_BUNDLES";
exports.DEP_OHOS_BUNDLES = DEP_OHOS_BUNDLES;
var DEP_BUNDLE_BASE = "DEP_BUNDLE_BASE";
exports.DEP_BUNDLE_BASE = DEP_BUNDLE_BASE;
var DEPS_VISUAL = "deps_visual";
exports.DEPS_VISUAL = DEPS_VISUAL;
var DEPS_DATA_JS = "deps-data.js";
exports.DEPS_DATA_JS = DEPS_DATA_JS;
var DEPS_HTML = "deps.html";
exports.DEPS_HTML = DEPS_HTML;
var NOTICE_NAME = "Third Party Open Source Notice";
exports.NOTICE_NAME = NOTICE_NAME;

var DEFAULT_CONFIG_DIR = _path["default"].join(_os["default"].homedir(), '.hpm');

exports.DEFAULT_CONFIG_DIR = DEFAULT_CONFIG_DIR;

var DEFAULT_CONFIG_FILE = _path["default"].join(DEFAULT_CONFIG_DIR, 'hpmrc');

exports.DEFAULT_CONFIG_FILE = DEFAULT_CONFIG_FILE;

var DEFAULT_GLOBAL_DIR = _path["default"].join(DEFAULT_CONFIG_DIR, 'global');

exports.DEFAULT_GLOBAL_DIR = DEFAULT_GLOBAL_DIR;

var DEFAULT_DEBUG_LOG_DIR = _path["default"].join(DEFAULT_CONFIG_DIR, 'log', 'debug');

exports.DEFAULT_DEBUG_LOG_DIR = DEFAULT_DEBUG_LOG_DIR;

var DEFAULT_INFO_LOG_DIR = _path["default"].join(DEFAULT_CONFIG_DIR, 'log', 'info');

exports.DEFAULT_INFO_LOG_DIR = DEFAULT_INFO_LOG_DIR;